--- title: "Update the Details of Domain Name Exception" slug: "update-the-details-of-domain-name-exception" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:38:58Z published: 2026-09-23T09:38:58Z canonical: "docs.trellix.com/update-the-details-of-domain-name-exception" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Update the Details of Domain Name Exception This URL updates the details of domain name exception from the callback detection allowlist. ## Resource URL PUT /domainnameexceptions/updatedetail ## Request Parameters URL Parameters: None Payload Request Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | oldDomainName | Name of the old domain | String | Yes | | domainName | Name of the new domain | String | Yes | | comment | Description of exception | String | No | ## Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | status | Set to 1 if the operation is successful | Number | ## Example **Request** PUT [https:///sdkapi/domainnameexceptions/updatedetail](https://%3CNSM_IP%3E/sdkapi/domainnameexceptions/updatedetail) **Payload** ``` { “oldDomainName”: “www.google.com”, "domainName": "www.google1.com", "comment": "updated domain" } ``` **Response** ``` { "status": 1 } ```   ## Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 500 | 1001 | Internal error message: Internal server error | | 2 | 500 | 1001 | Internal error message: Domain name field is not found | | 3 | 500 | 1001 | Invalid domain name. The length should be a maximum of 67 characters. | | 4 | 500 | 1001 | Invalid domain name | | 5 | 500 | 1001 | Duplicate domain name |